DateTime::Infinite(3)

NAME
DateTime::Infinite - Infinite past and future DateTime objects

VERSION
version 0.74

SYNOPSIS
  my $future = DateTime::Infinite::Future->new();
  my $past   = DateTime::Infinite::Past->new();

DESCRIPTION
This module provides two DateTime.pm subclasses, "DateTime::Infinite::Future" and "DateTime::Infinite::Past".

The objects are in the "floating" timezone, and this cannot be changed.

BUGS
There seem to be lots of problems when dealing with infinite numbers on Win32. This may be a problem with this code, Perl, or Win32's IEEE math implementation. Either way, the module may not be well-behaved on Win32 operating systems.

METHODS
The only constructor for these two classes is the "new()" method, as shown in the SYNOPSIS. This method takes no parameters.

All "get" methods in this module simply return infinity, positive or negative. If the method is expected to return a string, it return the string representation of positive or negative infinity used by your system. For example, on my system calling "year()" returns a number which when printed appears either "inf" or "-inf".

The object is not mutable, so the "set()", "set_time_zone()", and "truncate()" methods are all do-nothing methods that simply return the object they are called with.

Obviously, the "is_finite()" method returns false and the "is_infinite()" method returns true.

SEE ALSO
datetime@perl.org mailing list

http://datetime.perl.org/

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2012 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)